﻿<Project Sdk="Microsoft.NET.Sdk">
  <PropertyGroup>
    <TargetFramework>netstandard2.1</TargetFramework>
  </PropertyGroup>

  <PropertyGroup Label="NuGet">
    <Title>Thumbnailer - .NET client</Title>
    <Summary>.NET client for Thumbnailer service.</Summary>
    <Description>$(Summary)</Description>
    <PackageTags>thumbnailer;dotnet;client</PackageTags>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="Microsoft.Extensions.DependencyInjection.Abstractions" Version="8.0.2" />
    <PackageReference Include="Microsoft.Extensions.Diagnostics.HealthChecks.Abstractions" Version="8.0.11" />
    <PackageReference Include="Microsoft.Extensions.Logging.Abstractions" Version="8.0.2" />
    <PackageReference Include="Microsoft.Extensions.Options" Version="8.0.2" />
    <PackageReference Include="Newtonsoft.Json" Version="13.0.3" />
    <PackageReference Include="NSwag.ApiDescription.Client" Version="14.2.0">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
    <PackageReference Include="Polly.Core" Version="8.5.2" />
    <PackageReference Include="PommaLabs.MimeTypes" Version="2.9.6" />
    <PackageReference Include="System.Diagnostics.DiagnosticSource" Version="9.0.2" />
  </ItemGroup>

  <ItemGroup>
    <OpenApiReference Include="OpenAPI.json" CodeGenerator="NSwagCSharp" ClassName="{controller}Client" Namespace="PommaLabs.Thumbnailer.Client.Core">
      <NSwagOperationGenerationMode>MultipleClientsFromOperationId</NSwagOperationGenerationMode>
      <NSwagClientBaseClass>PommaLabs.Thumbnailer.Client.Core.ApiClientBase</NSwagClientBaseClass>
      <NSwagUseBaseUrl>false</NSwagUseBaseUrl>
      <NSwagUseHttpRequestMessageCreationMethod>true</NSwagUseHttpRequestMessageCreationMethod>
      <NSwagGenerateExceptionClasses>true</NSwagGenerateExceptionClasses>
      <NSwagExposeJsonSerializerSettings>true</NSwagExposeJsonSerializerSettings>
      <NSwagClientClassAccessModifier>internal</NSwagClientClassAccessModifier>
    </OpenApiReference>
  </ItemGroup>
</Project>